import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  username: z.string(),
  password: z.string(),
  autoBackupEnabled: z.boolean().optional(),
  autoBackupHour: z.number().int().optional(),
  usbBackupEnabled: z.boolean().optional(),
  usbBackupHour: z.number().int().optional(),
  autoMhCheckEnabled: z.boolean().optional(),
  autoMhCheckDayOfWeek: z.number().int().optional(),
  autoMhCheckHour: z.number().int().optional()
}).strict();
export const UserCreateManyInputObjectSchema: z.ZodType<Prisma.UserCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.UserCreateManyInput>;
export const UserCreateManyInputObjectZodSchema = makeSchema();
